# $Revision: 1.11 $, $Date: 2009/12/07 18:23:13 $
# NOTE
# - the shared library built here isn't used by the daemon, drop as not worth of it?
Summary:	IBM Remote Supervisor Adapter (RSA) II daemon
Summary(pl.UTF-8):	Demon IBM Remote Supervisor Adapter (RSA) II
Name:		ibmusbasm
Version:	1.46
Release:	1
License:	GPL
Group:		Applications
Source0:	ftp://ftp.software.ibm.com/systems/support/system_x/ibm_svc_rsa2_hlp246a_linux_32-64.tgz
# Source0-md5:	68ca47671c98a9a174eaf8b31d658272
Source1:	ibmusbasm.init
URL:		http://www-947.ibm.com/systems/support/supportsite.wss/docdisplay?lndocid=MIGR-5071676&brandind=5000008
BuildRequires:	libusb-devel >= 0.1.6
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	sed >= 4.0
Requires(post):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
%ifarch %{x8664}
Requires:	libusb-0.1.so.4()(64bit)
%else
Requires:	libusb-0.1.so.4
%endif
Conflicts:	ibmasm
Conflicts:	ibmasr
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix	/

%description
IBM Remote Supervisor Adapter (RSA) II Daemon package.

%description -l pl.UTF-8
Demon IBM Remote Supervisor Adapter (RSA) II.

%prep
%setup -qc
%ifarch %{ix86}
rpm2cpio SRPMS/ibmusbasm-%{version}-2.src.rpm | cpio -i -d
%{__tar} zxf ibmusbasm-src.tgz
%endif
%ifarch %{x8664}
rpm2cpio SRPMS/ibmusbasm64-%{version}-2.src.rpm | cpio -i -d
%{__tar} zxf ibmusbasm64-src.tgz
mv ibmusbasm{64,}-src
%endif
%{__chmod} -R a+rX ibmusbasm-src
sed -i -e 's/"libusb.so"/"libusb-0.1.so.4"/' ibmusbasm-src/src/ibmasm.c

%build
cd ibmusbasm-src/shlib
%{__cc} %{rpmcflags} -D__IBMLINUX__ -fPIC -shared -I ../src -Wl,-soname -Wl,libsysSp.so.1 -o libsysSp.so.1 uwiapi.c
cd ../src
%{__cc} %{rpmcflags} -I . -o ibmasm ibmasm.c -ldl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_sbindir},%{_sysconfdir},/etc/rc.d/init.d}
install ibmusbasm-src/shlib/libsysSp.so.1 $RPM_BUILD_ROOT%{_libdir}
install ibmusbasm-src/src/ibmasm $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ibmasm
ln -s libsysSp.so.1 $RPM_BUILD_ROOT%{_libdir}/libsysSp.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add ibmasm
%service ibmasm restart

if [ "$1" = "0" ]; then
	%service -q ibmasm stop
	/sbin/chkconfig --del ibmasm
fi

%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(754,root,root) /etc/rc.d/init.d/ibmasm
%attr(755,root,root) %{_libdir}/libsysSp.so
%attr(755,root,root) %{_libdir}/libsysSp.so.1
%attr(755,root,root) %{_sbindir}/ibmasm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ibmusbasm.spec,v $
Revision 1.11  2009/12/07 18:23:13  glen
- release 1

Revision 1.10  2009/06/17 03:01:46  glen
- ibmasm daemon uses /var/lock/subsys/ibmusbasm for internal locking, do not use that

Revision 1.9  2009/06/17 02:50:31  glen
- update to 1.46
- use same lock/pidfile that the daemon itself does for consistency

Revision 1.8  2009/06/17 02:36:59  glen
- libusb version from readme.txt

Revision 1.7  2009/06/17 02:29:15  glen
- remove pointless (our initscript handles these) ibmspup, ibmspdown scripts

Revision 1.6  2009/06/17 02:27:57  glen
- pldize initscript
- add soname to lib

Revision 1.5  2008/04/03 12:23:24  glen
- initscript hooks

Revision 1.4  2008-04-03 12:09:11  glen
- update to 1.42

Revision 1.3  2007-08-25 17:19:34  qboosh
- pl
- better URL
- don't require libusb-devel at runtime

Revision 1.2  2007/08/16 13:22:35  glen
- x64  build fix

Revision 1.1  2007/08/16 13:18:33  glen
- new
